> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sezzle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Orders

> Get details and check the status of an existing order

<Danger>
  You are viewing Version 1 of the Sezzle API. Check out the [current version](/docs/api/intro)!
</Danger>


## OpenAPI

````yaml get /v1/orders/{order_reference_id}
openapi: 3.1.0
info:
  title: Sezzle API v2
  description: >-
    This Sezzle API is for merchants who want to accept Sezzle as a payment
    option
  termsOfService: https://legal.sezzle.com
  version: 2.0.0
  x-logo:
    url: https://media.sezzle.com/branding/2.0/png/Logo_WhiteWordmark_500x126.png
    backgroundColor: '#392558'
servers:
  - url: https://sandbox.gateway.sezzle.com
    description: development server, usa, ca
  - url: https://gateway.sezzle.com
    description: production server, usa, ca
security:
  - Bearer: []
externalDocs:
  description: Sezzle API guides and tutorials
  url: https://docs.sezzle.com/sezzle-integration
paths:
  /v1/orders/{order_reference_id}:
    get:
      tags:
        - v1
        - Orders
      summary: orders
      description: Get details and check the status of an existing order
      operationId: get-order-details-v1
      parameters:
        - name: order_reference_id
          in: path
          description: The Order Reference ID to update
          required: true
          schema:
            type: string
        - name: include-shipping-info
          in: query
          description: >-
            If your checkout post data required us to collect shipping
            information from the customer, then you can request that information
            alongside the order details.
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: Successful Operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  created_at:
                    type: string
                    format: date-time
                    description: >-
                      The date the session was created in ISO 8601 date/time
                      format
                  captured_at:
                    type: string
                    format: date-time
                    description: >-
                      The date the order was captured in ISO 8601 date/time
                      format
                  capture_expiration:
                    type: string
                    format: date-time
                    description: >-
                      The date until which the merchant can capture the order
                      amount. ISO 8601 date/time format
                  description:
                    type: string
                    description: Your description for this order
                  amount_in_cents:
                    type: number
                    description: >-
                      The total order amount in cents in original merchant
                      currency
                  usd_amount_in_cents:
                    type: number
                    description: The total order amount in cents converted to USD
                  customer_amount_in_cents:
                    type: number
                    description: >-
                      The total order amount in cents converted to customer
                      currency
                  currency_code:
                    type: string
                    description: >-
                      The original merchant 3 character currency code as defined
                      by ISO 4217
                  customer_currency_code:
                    type: string
                    description: >-
                      The customer's 3 character currency code as defined by ISO
                      4217
                  reference_id:
                    type: string
                    description: >-
                      The checkout or cart ID from the merchant, currently used
                      for tracking only (must contain only alphanumeric
                      characters, dashes (-), and underscores (_))
                  shipping_address:
                    $ref: '#/components/schemas/AddressV1'
                    description: The customer's shipping address
                  billing_address:
                    $ref: '#/components/schemas/AddressV1'
                    description: The customer's billing address
                  customer:
                    type: object
                    description: The customer's basic contact information
                    properties:
                      first_name:
                        type: string
                        description: The customer's first name
                      last_name:
                        type: string
                        description: The customer's last name
                      email:
                        type: string
                        description: The customer's email address
                      phone:
                        type: string
                        description: The customer's phone number
                  refunds:
                    type: array
                    description: Refunded funds event detail
                    items:
                      type: object
                      properties:
                        amount:
                          $ref: '#/components/schemas/Price'
                          description: The amount in cents for the transaction
                        created_at:
                          type: string
                          format: date-time
                          description: The UTC time and date when the refund was issued
                        is_full_refund:
                          type: boolean
                          description: >-
                            Whether the transaction is the full amount of the
                            order
                        order_reference_id:
                          type: string
                          description: >-
                            The checkout or cart ID from the merchant, currently
                            used for tracking only (must contain only
                            alphanumeric characters, dashes (-), and underscores
                            (_))
                        refund_id:
                          type: string
                          description: UUID for the Refund. Must be unique to a Merchant
                        refund_reason:
                          type: string
                          description: A reason for the refund
                  metadata:
                    type: object
                    description: >-
                      Object for any custom data you want to submit with the
                      checkout. You are not limited to the key-value pairs shown
                      in the example, and you may use any key-value pairs you
                      like
                    properties:
                      any:
                        type: string
                        description: Custom metadata field
                  items:
                    type: array
                    description: The items being purchased
                    items:
                      $ref: '#/components/schemas/LineItemBasic'
                  checkout_expiration:
                    type: string
                    format: date-time
                    description: >-
                      The date until which the shopper can access the
                      checkout_url generated in Create Session request to
                      complete the order. ISO 8601 date/time format
              example:
                created_at: '2025-06-19T19:34:57.000Z'
                captured_at: '2025-06-19T19:35:33.000Z'
                capture_expiration: '2025-06-26T19:35:15.000Z'
                description: 'Order #1800'
                amount_in_cents: 12999
                usd_amount_in_cents: 12999
                customer_amount_in_cents: 12999
                currency_code: USD
                customer_currency_code: USD
                reference_id: ord_12345
                shipping_address:
                  name: John Doe
                  street: 123 West Lake street
                  street2: '104'
                  city: Minneapolis
                  state: MN
                  postal_code: '55408'
                  country_code: US
                billing_address:
                  name: John Doe
                  street: 123 West Lake street
                  street2: '104'
                  city: Minneapolis
                  state: MN
                  postal_code: '55408'
                  country_code: US
                customer:
                  first_name: John
                  last_name: Doe
                  email: john.doe@sezzle.com
                  phone: '8885401867'
                refunds:
                  - amount:
                      amount_in_cents: 500
                      currency: USD
                    refund_id: 7b33e7b6-f112-4844-a3c5-91688a6c00b7
                    refund_reason: Item returned by user
                    is_full_refund: false
                    order_reference_id: ord_12345
                    created_at: '2025-06-19T19:41:09Z'
                metadata:
                  location_id: 123
                  store_manager: Jane Doe
                  store_name: Downtown Minneapolis
                items:
                  - name: widget
                    sku: sku123456
                    quantity: 1
                    price:
                      amount_in_cents: 1000
                      currency: USD
                sezzle_order_id: d1a6c-soq9b-j96fj-14700
                checkout_expiration: '2025-06-19T20:04:57.000Z'
                checkout_status: completed
        '400':
          $ref: '#/components/responses/BadRequestV1'
          example:
            status: 400
            id: bad_request
            message: bad request
        '401':
          $ref: '#/components/responses/UnauthorizedV1'
          example:
            status: 401
            id: Unauthorized
            message: authorization not accepted
        '404':
          $ref: '#/components/responses/NotFoundV1'
          example:
            status: 404
            id: invalid
            message: not found
        '422':
          $ref: '#/components/responses/UnprocessableV1'
          example:
            status: 422
            id: invalid
            message: Unprocessable entity
components:
  schemas:
    AddressV1:
      allOf:
        - $ref: '#/components/schemas/Address'
        - type: object
          properties:
            phone_number:
              type: string
              description: The phone number at the delivery location
    Price:
      allOf:
        - $ref: '#/components/schemas/PriceBase'
        - type: object
          required:
            - amount_in_cents
            - currency
    LineItemBasic:
      type: object
      description: >-
        Merchants who are in the Sports & Hobbies or Hunting & Fishing
        categories must define a category_path for each item in the order.
        Please talk with your account manager for further details.
      properties:
        name:
          type: string
          description: The name of the item
        sku:
          type: string
          description: The sku identifier
        quantity:
          type: integer
          description: The quantity purchased
        price:
          $ref: '#/components/schemas/Price'
          description: The price of the product before tax and discounts
        category_path:
          type: string
          description: >-
            The category path where the product is located. Use `>` only as the
            category delimiter, not as part of a product or category name.
            Example: Camping Gear & Supplies > Tents & Shelters.
    Address:
      type: object
      properties:
        name:
          type: string
          description: The name on the address
        street:
          type: string
          description: The street and number of the address
        street2:
          type: string
          description: The apt or unit
        city:
          type: string
          description: The city
        state:
          type: string
          description: The 2 character state code
        postal_code:
          type: string
          description: The postal delivery code
        country_code:
          type: string
          description: The 2 character country code
    PriceBase:
      type: object
      properties:
        amount_in_cents:
          type: integer
          description: The amount in cents
        currency:
          type: string
          description: The 3 character currency code as defined by ISO 4217
    ErrorV1:
      type: object
      properties:
        status:
          type: number
          description: Matches the HTTP Status code of the response
        id:
          type: string
          description: >-
            A programmatic identifier for the error. These rarely (if at all)
            change.
        message:
          type: string
          description: >-
            A human-friendly string. These may change, and are intended to
            assist in debugging rather than program logic.
  responses:
    BadRequestV1:
      description: Invalid request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorV1'
          example:
            status: 400
            id: bad_request
            message: bad request
    UnauthorizedV1:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorV1'
          example:
            status: 401
            id: unauthorized
            message: authorization not accepted
    NotFoundV1:
      description: The specified resource was not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorV1'
          example:
            status: 404
            id: record_not_found
            message: not found
    UnprocessableV1:
      description: Unable to process the request entity
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorV1'
          example:
            status: 422
            id: invalid
            message: Unprocessable entity
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header
      description: >-
        The authentication token generated from providing API Keys to Sezzle
        Gateway

````